summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2020-04-23 00:33:23 +0200
committerPacho Ramos <pacho@gentoo.org>2020-04-23 00:43:08 +0200
commita16dd0232d57a8b29eabb27a2afb0ae8c20a02fe (patch)
tree5d92db71bf8a27a8792fe036ca80fb5b72e2ecae
parentmedia-gfx/iscan: Drop proxied maintainer by request (diff)
downloadgentoo-a16dd0232d57a8b29eabb27a2afb0ae8c20a02fe.tar.gz
gentoo-a16dd0232d57a8b29eabb27a2afb0ae8c20a02fe.tar.bz2
gentoo-a16dd0232d57a8b29eabb27a2afb0ae8c20a02fe.zip
media-gfx/imagemagick: Hardening is not needed for a long time
Bug: https://bugs.gentoo.org/716674 Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
-rw-r--r--media-gfx/imagemagick/imagemagick-9999.ebuild42
1 files changed, 0 insertions, 42 deletions
diff --git a/media-gfx/imagemagick/imagemagick-9999.ebuild b/media-gfx/imagemagick/imagemagick-9999.ebuild
index 4d2561accf7..8f24371e266 100644
--- a/media-gfx/imagemagick/imagemagick-9999.ebuild
+++ b/media-gfx/imagemagick/imagemagick-9999.ebuild
@@ -83,16 +83,6 @@ S="${WORKDIR}/${MY_P}"
src_prepare() {
default
- # Apply hardening #664236
- cp "${FILESDIR}"/policy-hardening.snippet "${S}" || die
- sed -i -e '/^<policymap>$/ {
- r policy-hardening.snippet
- d
- }' \
- config/policy.xml || \
- die "Failed to apply hardening of policy.xml"
- einfo "policy.xml hardened"
-
elibtoolize # for Darwin modules
# For testsuite, see https://bugs.gentoo.org/show_bug.cgi?id=500580#c3
@@ -233,35 +223,3 @@ src_install() {
insinto /usr/share/${PN}
doins config/*icm
}
-
-pkg_postinst() {
- local _show_policy_xml_notice=
-
- if [[ -z "${REPLACING_VERSIONS}" ]]; then
- # This is a new installation
- _show_policy_xml_notice=yes
- else
- local v
- for v in ${REPLACING_VERSIONS}; do
- if ! ver_test "${v}" -gt "7.0.8.10-r2"; then
- # This is an upgrade
- _show_policy_xml_notice=yes
-
- # Show this elog only once
- break
- fi
- done
- fi
-
- if [[ -n "${_show_policy_xml_notice}" ]]; then
- elog "For security reasons, a policy.xml file was installed in /etc/ImageMagick-7"
- elog "which will prevent the usage of the following coders by default:"
- elog ""
- elog " - PS"
- elog " - PS2"
- elog " - PS3"
- elog " - EPS"
- elog " - PDF"
- elog " - XPS"
- fi
-}